com.microfocus.awm.model

## Interface IElementListEntry

- All Superinterfaces:
    org.eclipse.core.runtime.IAdaptable, IResource
  All Known Implementing Classes:
    AbstractElementListEntry, ElementListEntry

      public interface IElementListEntry
      extends IResource

  Occurrence of an `IElement` within an `IElementList`.

  While only a single IElement instance can exist per unique ID, it is common that the element is contained in several element lists.
  Example: Action A creates an element lists of all files within a folder. Action B shows filtered contents of the folder. All of the elements in the created list of action B are also contained in the list of action A.

  As a consequence, an `IElement` can be represented by several `IElementListEntry`s, while an IElementListEntry can only represent a single IElement.

  Additionally element list entries can have additional attributes which do not belong to the element (type). In contrast to element properties, they can have different values for different entries pointing to the same element.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ID_PREFIX` Cache ID prefix.
    `static int` | `INSERT` Deprecated. use `STATE_NEW` instead.
    `static int` | `STATE_NEW` State flag for a newly inserted element list entry.
    `static int` | `STATE_NONE` Neutral state flag (default)

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChild(IElementListEntry pListEntry)` Deprecated. Used for tree tables only. This will be moved into UI in future.
    `java.util.Map<Property,IPropertyValue>` | `getAllPropertyValuesWithElement()` Returns a map off all Properties from this element list entry and its corresponding Element.
    `IElementList` | `getChildren(boolean pRefresh, org.eclipse.core.runtime.IProgressMonitor pMonitor)` Deprecated. Used `getChildren(EGetChildrenMode,IProgressMonitor)` to have more information as result.
    `GetChildrenResult` | `getChildren(EGetChildrenMode pType, org.eclipse.core.runtime.IProgressMonitor pMonitor)` If a GetChildren action was modelled for the element type of the entries Element, this method returns a `GetChildrenResult` containing the element list.
    `java.util.List<IElementListEntry>` | `getChildrenEntries()` Deprecated. Used for tree tables only. This will be moved into UI in future. Use `getElementList()` to get the lists elements.
    `IElement` | `getElement()` Gets the corresponding element.
    `IElementList` | `getElementList()` Gets the element list of this entry.
    `IElementListEntry` | `getParent()` Deprecated. Used for tree tables only. This will be moved into UI in future. Use `IResource.getParentResource()` instead.
    `IPropertyValue` | `getPropertyValueWithElement(Property pProp)` Can return the property value of the entry as well as of the corresponding `IElement`.
    `int` | `getState()` Gets the state flag of this entry.
    `java.lang.String` | `getTreeViewLabel()` Returns an element label, which consists of element property values that have the attribute `isTreeViewLabel` set to `true`.
    `void` | `removeChild(IElementListEntry pListEntry)` Deprecated. Used for tree tables only. This will be moved into UI in future. Use `IResource.getChildrenResources()` and `IResource.delete()` to remove a specific child resource.
    `void` | `setParent(IElementListEntry pParentListEntry)` Deprecated. Used for tree tables only. This will be moved into UI in future.
    `void` | `setState(int pState)` Sets the state flag of this entry.

    - ### Methods inherited from interface com.microfocus.awm.model.IResource

      `addChildResource, addPropertyValue, addResourceChild, delete, getAllPropertyValues, getChildrenResources, getID, getName, getParentResource, getPropertyValue, getPropertyValueFromHierarchy, getResourceChildren, removeResourceChild, setName, setPropertyValues`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Field Detail

    - #### INSERT

          @Deprecated
          static final int INSERT

      Deprecated. use `STATE_NEW` instead.
      State flag for a newly inserted element list entry.
      See Also:
        Constant Field Values

    - #### STATE_NONE

          static final int STATE_NONE

      Neutral state flag (default)
      See Also:
        Constant Field Values

    - #### STATE_NEW

          static final int STATE_NEW

      State flag for a newly inserted element list entry.
      See Also:
        Constant Field Values

    - #### ID_PREFIX

          static final java.lang.String ID_PREFIX

      Cache ID prefix.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getElement

          IElement getElement()

      Gets the corresponding element.
      Returns:
        the element of this element list entry.

    - #### getElementList

          IElementList getElementList()

      Gets the element list of this entry.
      Returns:
        the element list

    - #### getState

          int getState()

      Gets the state flag of this entry.
      Returns:
        the state flag

    - #### setState

          void setState(int pState)

      Sets the state flag of this entry.
      Parameters:
        `pState` - the new state flag

    - #### getParent

          @Deprecated
          IElementListEntry getParent()

      Deprecated. Used for tree tables only. This will be moved into UI in future. Use `IResource.getParentResource()` instead.
      Returns:
        the tree table parent entry

    - #### setParent

          @Deprecated
          void setParent(IElementListEntry pParentListEntry)

      Deprecated. Used for tree tables only. This will be moved into UI in future.
      Parameters:
        `pParentListEntry` - the new tree table parent entry

    - #### getChildrenEntries

          @Deprecated
          java.util.List<IElementListEntry> getChildrenEntries()

      Deprecated. Used for tree tables only. This will be moved into UI in future. Use `getElementList()` to get the lists elements.
      Returns:
        the tree table children of this entry

    - #### addChild

          @Deprecated
          void addChild(IElementListEntry pListEntry)

      Deprecated. Used for tree tables only. This will be moved into UI in future.
      Parameters:
        `pListEntry` - the tree table child to be added

    - #### removeChild

          @Deprecated
          void removeChild(IElementListEntry pListEntry)

      Deprecated. Used for tree tables only. This will be moved into UI in future. Use `IResource.getChildrenResources()` and `IResource.delete()` to remove a specific child resource.
      Parameters:
        `pListEntry` - the tree table child to be removed

    - #### getChildren

          @Deprecated
          IElementList getChildren(boolean pRefresh,
                                                org.eclipse.core.runtime.IProgressMonitor pMonitor)
                                         throws TaurusCoreException

      Deprecated. Used `getChildren(EGetChildrenMode,IProgressMonitor)` to have more information as result.
      If a GetChildren action was modelled for the element type of the entries Element, this method returns an element list.
      Parameters:
        `pRefresh` - whether the children should be refreshed (or the cache can be used)
        `pMonitor` - progress monitor
      Returns:
        an `IElementList` or `null`
      Throws:
        `TaurusCoreException` - if getting the children fails

    - #### getChildren

          GetChildrenResult getChildren(EGetChildrenMode pType,
                                        org.eclipse.core.runtime.IProgressMonitor pMonitor)
                                 throws TaurusCoreException

      If a GetChildren action was modelled for the element type of the entries Element, this method returns a `GetChildrenResult` containing the element list.
      Parameters:
        `pType` - Gets how the getChildren should be processed. Whether the children should be refreshed (or the cache can be used)
        `pMonitor` - progress monitor
      Returns:
        an `GetChildrenResult`.This method must NOT return `null`.
      Throws:
        `TaurusCoreException` - if getting the children fails

    - #### getPropertyValueWithElement

          IPropertyValue getPropertyValueWithElement(Property pProp)

      Can return the property value of the entry as well as of the corresponding `IElement`. If both have a property value for the desired property, the element list entry property value will be returned.
      Parameters:
        `pProp` - the desired property
      Returns:
        an `IPropertyValue` or `null`

    - #### getAllPropertyValuesWithElement

          java.util.Map<Property,IPropertyValue> getAllPropertyValuesWithElement()

      Returns a map off all Properties from this element list entry and its corresponding Element.

      Modifying this list will not modify any Properties of this entry or its Element.

      Returns:
        a map containing all properties (can be empty)
      See Also:
        `getElement()`, `IResource.getAllPropertyValues()`

    - #### getTreeViewLabel

          java.lang.String getTreeViewLabel()

      Returns an element label, which consists of element property values that have the attribute `isTreeViewLabel` set to `true`.
      Returns:
        the tree view label for this entry

Copyright © 2015 Micro Focus GmbH. All rights reserved.